
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android APK优化工具Zipalign详解_Android / iVAN</title>

    <meta name="description" content="Android APK优化工具Zipalign详解_Android       Android SDK中包含了一个用于优化APK的新工具zipalign.它提高了优化后的Applications与Android系统的交互效率(俗话:&quot;要致富先修路&quot;,Android小组重新为Applications与Android系统之间搭建了一条高速公路),从而可以使整个系统的运行速度有了较大的提升.Android小组强烈建议开发者在发布新Apps之前使用zipalign优化工具,而且对于已经发布但不受限于系统版本的Apps,建议用优化后的APK替换现有的版 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android APK优化工具Zipalign详解_Android</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>      Android SDK中包含了一个用于优化APK的新工具zipalign。它提高了优化后的Applications与Android系统的交互效率（俗话：“要致富先修路”，Android小组重新为Applications与Android系统之间搭建了一条高速公路），从而可以使整个系统的运行速度有了较大的提升。Android小组强烈建议开发者在发布新Apps之前使用zipalign优化工具，而且对于已经发布但不受限于系统版本的Apps，建议用优化后的APK替换现有的版本。</p>
<p>       在下面的内容中将从三个方面介绍zipalign：</p>
<p>       <strong>1、zipalign如何优化</strong></p>
<p><strong>       2、如何使用zipalign</strong></p>
<p><strong>       3、使用zipalign的理由</strong></p>
<p>       根据官方文档的描述，Android系统中Application的数据都保存在它的APK文件中，同时可以被多个进程访问，安装的过程包括如下几个步骤：</p>
<p>       1、Installer通过每个apk的manifest文件获取与当前应用程序相关联的permissions信息。</p>
<p>       2、Home application读取当前APK的Name和Icon等信息。</p>
<p>       3、System server将读取一些与Application运行相关信息，例如：获取和处理Application的notifications请求等。</p>
<p>       4、最后，APK所包含的内容不仅限于当前Application所使用，而且可以被其它的Application调用，提高系统资源的可复用性。</p>
<p>       zipalign优化的最根本目的是帮助操作系统更高效率的根据请求索引资源，将resource-handling code统一将Data structure alignment（数据结构对齐标准：DSA）限定为4-byte boundaries。如果第一次接触有关Data structurealignment的内容，强烈建议搜索更多与其相关的内容来充分理解这样做的最终目的，这也是理解zipalign工作原理的关键。 如果不采取对齐的标准，处理器无法准确和快速的在内存地址中定位相关资源。</p>
<p>       目前的系统中使用fallbackmechanism机制处理那些没有应用DSA标准的应用程序，这的确大大的方便了普通开发者无需关注繁琐的内存操作问题。但是相反，对于这样的应用程序将给普通用户带来一定的麻烦，不但影响程序的运行的效率，而且使系统的整体执行效率下降和占用大量不必要的内存资源，甚至消耗一定的电池资源(battery life)。</p>
<p>       在Android SDK中提供了三种应用Align操作的方法：</p>
<p><strong>       1、使用ADT：</strong></p>
<p>       从ADT 0.9.3版本开始，可以通过export wizard自动对发布的applicationpackages执行align操作。设置方法：鼠标右键点击Project，然后选择”Android Tools” &gt; “ExportSigned Application Package…”。或者可以直接在AndroidManifest.xml中设置。</p>
<p><strong>       2、使用Ant：</strong></p>
<p>       对于API Level 大于等于4的Application Packages可以直接通过Ant build script来Align优化。但对于API Level小于4的情况，只能采取手动Align优化。</p>
<p>       默认下应用Ant build script运行Debug packages(API Level &gt;= 4)时，将自动执行Align优化。</p>
<p>       针对Release packages。当使用Ant build script执行Align优化时，首先需要拥有足够的信息来Sign packages。当完成Signing之后， 才能执行Align优化。通过官方文档了解如何Sign Packages。</p>
<p><strong>       3、手动执行Align优化：</strong></p>
<p>       利用tools文件夹下的zipalign工具。首先调出cmd命令行，然后执行：zipalign -v 4 source.apk androidres.apk。这个方法不受API Level的限制，可以对任何版本的APK执行Align优化。</p>
<p>       同时可以利用zipalign工具检查当前APK是否已经执行过Align优化。命令：zipalign -c -v 4 androidres.apk</p>
<p>       再一次提醒开发者，立刻应用zipalign工具强制优化已经发布的application packages，并让你的用户使用最新的版本。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 16:34:01</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/apk/" title="apk">apk</a>, <a href="https://www.iamivan.net/tag/%e4%bc%98%e5%8c%96%e5%b7%a5%e5%85%b7/" title="优化工具">优化工具</a>, <a href="https://www.iamivan.net/tag/zipalign/" title="zipalign">zipalign</a>, <a href="https://www.iamivan.net/tag/apk%e4%bc%98%e5%8c%96%e5%b7%a5%e5%85%b7zipalign/" title="APK优化工具Zipalign">APK优化工具Zipalign</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android APK优化工具Zipalign详解_Android的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdWk2XM.html" rel="bookmark">Android APK优化工具Zipalign详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android SDK中包含了一个用于优化APK的新工具zipalign.它提高了优化后的Applications与Android系统的交互效率(俗话:&quot;要致富先修路&quot;,Android小组重新为Applications与Android系统之间搭建了一条高速公路),从而可以使整个系统的运行速度有了较大的提升.Android小组强烈建议开发者在发布新Apps之前使用zipalign优化工具,而且对于已经发布但不受限于系统版本的Apps,建议用优化后的APK替换现有的版本. 在下面的内容中将			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOndV9p.html" rel="bookmark">Android  AIDL&mdash;&mdash;进程通信机制详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android  AIDL, Android进程机制通信机制,这里就整理下AIDL 的知识,帮助大家学习理解此部分知识! 什么是 AIDL AIDL 全称 Android Interface Definition Language,即 安卓接口描述语言.听起来很深奥,其实它的本质就是生成进程间通信接口的辅助工具.它的存在形式是一种 .aidl 文件,开发者需要做的就是在该文件中定义进程间通信的接口,编译的时候 IDE 就会根据我们的 .aidl 接口文件生成可供项目使用的 .java 文件,这和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvGVJ1p.html" rel="bookmark">sweet alert dialog 在android studio应用问题说明详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				看到这个sweet-alert-dialog很亲切,因为前端开发本人用的提示就是这个js插件,java牛人很厉害,直接弄成一个java包插件,Good! 下面记录如何引用到工程,并使用: sweet-alert-dialog插件可以直接到github上下载 地址:https://github.com/pedant/sweet-alert-dialog 或者直接到发布好的页面下载: https://github.com/pedant/sweet-alert-dialog/releases 我下载的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8k2m4M.html" rel="bookmark">Android编程之SurfaceView实例详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程之SurfaceView用法.分享给大家供大家参考,具体如下: 关于surfaceView相关知识: View和SurfaceView主要区别: 1. View只能在UI线程中刷新,而SurfaceView可以在子线程中刷新 2. SurfaceView可以控制刷新频率 SurfaceView几个重要的方法: 1. 继承SurfaceView 后调用getHolder()方法可以获取到mSurfaceHolder对象这个对于可以控制SurfaceView的绘制 2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW7q2nM.html" rel="bookmark">Android组件popupwindow使用方法详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先看效果:  现在很多的应用效果都需要做的炫些,像UC,以及天天静听,效果很炫的,源码已经对外开放了,有兴趣的可以去研究下的  上源码 main.xml &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;LinearLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot; android:layout_width=&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLd67vp.html" rel="bookmark">Android的搜索框架实例详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基础知识 Android的搜索框架将代您管理的搜索对话框,您不需要自己去开发一个搜索框,不需要担心要把搜索框放什么位置,也不需要担心搜索框影响您当前的界面.所有的这些工作都由SearchManager类来为您处理(以下简称&quot;搜索管理器&quot;),它管理的Android搜索对话框的整个生命周期,并执行您的应用程序将发送的搜索请求,返回相应的搜索关键字. 当用户执行一个搜索,搜索管理器将使用一个专门的Intent把搜索查询的关键字传给您在配置文件中配置的处理搜索结果的Activity.从本质上讲			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlB5xqz.html" rel="bookmark">Android pdf viewer在android studio应用问题说明详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前一直是做.NET开发的,最近需要弄一个新闻app,能力有限,只能借助HTML5 WebAPP+android studio来完成这项工作. android studio主要用WebView来加载发布好的WebApp,打包生产APP. 其中由于显示一些pdf文档,所以研究了一下,记录一下心得,同时也希望帮助到新手们. android 显示网络pdf,基本原理:先将pdf文件通过DownloadManager下载到手机sdk某个文件夹中,然后通过android-pdf-viewer插件进行显示.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvrR7VM.html" rel="bookmark">Android中HorizontalScrollView使用方法详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于移动设备物理显示空间一般有限,不可能一次性的把所有要显示的内容都显示在屏幕上.所以各大平台一般会提供一些可滚动的视图来向用户展示数据.Android平台框架中为我们提供了诸如ListView.GirdView.ScrollView等滚动视图控件,这几个视图控件也是我们平常使用最多的.下面介绍一下HorizontalScrollView的使用和需要注意的点:  HorizontalScrollView是一个FrameLayout  ,这意味着你只能在它下面放置一个子控件,这个子控件可以包含很多			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQN0qWM.html" rel="bookmark">Android提高之BroadcastReceiver实例详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面几篇文章分别讨论了Activity和Service,本文就来讨论BroastcastReceiver,Broastcast是应用程序间通信的手段.BroastcastReceiver也是跟Intent紧密相连的,动态/静态注册了BroastcastReceiver之后,使用sendBroadcast把Intent发送之后,系统会自动把符合条件的BroastcastReceiver启动,这和嵌入式系统的中断类似. 本文所示实例代码主要演示了如何静态/动态注册BroastcastReceiver			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOoBQz.html" rel="bookmark" class="title">Photoshop鼠绘分析教程&colon;刻画逼真的猫咪</a>
					<div>
						效果图刻画的非常逼真,不管是小猫的神态和神韵都表现的非常完美.当然要完成如此细腻的图片,需要花费大量的时间,尤其是在刻画绒毛的时候,几乎每一根都需要用涂抹工具等涂出来.绘制的时候一定要有耐心.最终效果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeVrAb.html" rel="bookmark" class="title">PHP的FTP学习&lpar;二&rpar;</a>
					<div>
						By Vikram Vaswani Melonfire November 07, 2000 登录了FTP服务器,PHP提供了一些函数,它们能获取一些关于系统和文件以及目录的信息. ftp_pwd()  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVv24z.html" rel="bookmark" class="title">学点C语言&lpar;24&rpar;&colon;数据类型</a>
					<div>
						1. 结构就是多个变量的集合: #include &lt;stdio.h&gt; int main(void) { struct Rec { int x; int y; }; struct Rec r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Adwnp.html" rel="bookmark" class="title">J2ME游戏开发笔记整编版</a>
					<div>
						-------------一般类问题-------------- 1 J2ME中查表法使用三角函数 CLDC和MIDP都没有提供三角函数,而且CLDC1.0中也没有浮点数,所以我们的选择是查表.使用8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yqA3z.html" rel="bookmark" class="title">CSS教程网站制作新闻列表方法</a>
					<div>
						 网站制作新闻列表方法:把日期写在span标签里,然后把span标签写在li里,css定义span(float:right),让span浮动在列表的右边. css部分: body { font-siz ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze43R8p.html" rel="bookmark" class="title">win7系统桌面图标无法自动刷新需要按F5键怎么回事？</a>
					<div>
						  win7系统桌面图标无法自动刷新需要按F5键怎么回事? 1.首先使用组合键&quot;Win+R&quot;打开运行窗口,并输入&quot;regedit&quot;命令按回车键或确定; 2.打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oAnWb.html" rel="bookmark" class="title">win7如何减少电脑内存占用</a>
					<div>
						  电脑操作系统速度的快慢决定于电脑CPU.内存以及硬盘寻址速度,CPU.硬盘自购买起就已经决定了,不会随着你的使用时间而改变,除非升级,否则自始自终都是一样的,而内存却不同,因为我们所讲的内存指的是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwok4b.html" rel="bookmark" class="title">什么是Tablet PC，Tablet PC有什么功能呢？</a>
					<div>
						现如今,输入法作为电脑.智能手机输入文字的必备工具,越来越受到众多互联网公司的重视.在Windows7中除集成了微软拼音输入法,还提供了Tablet PC输入面板工具,既可以手写,还可以词组联想,功能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaAo5z.html" rel="bookmark" class="title">WinXP进入系统后就黑屏的处理方法</a>
					<div>
						  1.系统和驱动嫌疑最大 最大的可能就是系统出了问题,可能是系统文件丢失,可能是硬件发生了变化,比如更换了主板或者显卡,系统无法识别从而导致黑屏.对此,可以重新进行一次修复安装,当然最好的办法还是重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwjK4M.html" rel="bookmark" class="title">健康的人体应该是怎样的</a>
					<div>
						据国外媒体报道,谷歌启动了一项可能是它有史以来最雄心勃勃也最为困难的一个科学项目:深入探究人体.该项目名为Baseline Study,将匿名收集来自175人(日后将增加至数千人)的基因和分子信息,以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNE7Dz.html" rel="bookmark" class="title">Maker Faire上那些好玩的智能家居</a>
					<div>
						    盼望着,盼望着,4月到了,maker faire终于来了.在这场世界级的创客盛会上,可穿戴产品.智能家居.机器人.3D打印机争奇斗艳,不知道有哪些新鲜玩意吸引到你?先来看看笔者发现的各种好玩的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAogeM.html" rel="bookmark" class="title">&lbrack;Qt教程&rsqb; 第28篇 XML（二）使用DOM创建和操作XML文档</a>
					<div>
						[Qt教程] 第28篇 XML(二)使用DOM创建和操作XML文档 楼主  发表于 2013-5-21 22:00:51 | 查看: 475| 回复: 0 使用DOM创建和操作XML文档 版权声明 该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEe95p.html" rel="bookmark" class="title">Linux下套接字详解（二）----套接字Socket</a>
					<div>
						在前面我们讲了TCP/IP.TCP和UDP的一些基本知识,但是协议只有一套,而我们系统多个TCP连接或多个应用程序进程必须通过同一个 TCP协议端口传输数据.为了区别不同的应用程序进程和连接,许多计算 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwR7op.html" rel="bookmark" class="title">二叉树 二级指针问题，递归</a>
					<div>
						问题描述 二叉树 二级指针问题,递归 void bstree_deinit(BSTREE* bstree){ clear(&amp;bstree-&gt;root); bstree-&gt;size  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRy76b.html" rel="bookmark" class="title">android怎样从服务器获取图片？</a>
					<div>
						问题描述 android怎样从服务器获取图片? 我通过eclipse连接上了SQLServer,然后Android访问Eclipse上的服务器(socket通信). 现在能从服务器里获取SQL里面的数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRY9Zp.html" rel="bookmark" class="title">搜索引擎的结果排名越高，网页被点击的概率越高</a>
					<div>
						而微软必应搜索最近公布了一些有趣的结论,显示到第三第四个结果,点击率已经可以忽略不计.微软必应研发团队的Ronny Kohavi,日前通过博客公布了一些研究结果.据称,搜索引擎回馈的结果列表中,超过一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkeKrob.html" rel="bookmark" class="title">请教关于keytool的问题</a>
					<div>
						问题描述 (1)用以下命令创建了一个名为test的keystore.keytool-genkey-dname&quot;cn=aaa,ou=bbb,o=a,L=b,ST=c,c=d&quot;-ali ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3r5NNz.html" rel="bookmark" class="title">spring mvc-intellij idea写javaweb，修改后台代码，配置问题</a>
					<div>
						问题描述 intellij idea写javaweb,修改后台代码,配置问题 intellij idea写java web,mybatis,SpringMVC框架,每次修改后台代码,都需要重新clea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWammz.html" rel="bookmark" class="title">深圳DDS快递公司倒闭：客户堵路追款</a>
					<div>
						新华社广州1月23日电 (记者 毛一竹)深圳东道物流公司(DDS快递)近日被传倒闭以及公司董事长涉嫌诈骗,从1月21日至22日,该公司员工和供货商为追讨工资.代收款,在广州.深圳.佛山.东莞围堵东道公 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ41Qp.html" rel="bookmark" class="title">使用PDF&period;NET遇到的查询问题之二</a>
					<div>
						问题描述 首先因为我get请求传送过去的参数为:http://172.18.186.20:12355/api/Basic/GetFeeItemInfo/0101,0201,0634,0723,1101 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8KeWb.html" rel="bookmark" class="title">js利用正则表达式检验输入内容是否为网址&lowbar;javascript技巧</a>
					<div>
						js正则检验输入的是否为网址功能在网页中也是很常见的,友情链接部分.表单填写个人主页的时候,使用JavaScript取验证是否为网址.  这个检验不好写,最好还是使用正则表达式去认证.  规定,输入的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV79wKb.html" rel="bookmark" class="title">phalcon数据库配置添加表前缀过程详解</a>
					<div>
						Phalcon默认居然不能设置数据表前缀,常用的框架都支持. 修改方法一: 新建一个基础模型,然后所有的模型在该类上继承即可  代码如下 复制代码 &lt;?php class BaseModel e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0Jg1z.html" rel="bookmark" class="title">POI 读取EXCEL实现程序</a>
					<div>
						 代码如下 复制代码   /*   * 使用POI读取EXCEL文件   */  import java.io.File;  import java.io.FileInputStream;  impo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8ZEob.html" rel="bookmark" class="title">Android获取屏幕尺寸大小代码实例&lowbar;Android</a>
					<div>
						@Override protected void onCreate(Bundle savedInstanceState) { super.onCreate(savedInstanceState); s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0Dyrz.html" rel="bookmark" class="title">js判断一个元素是否为另一个元素的子元素的代码&lowbar;javascript技巧</a>
					<div>
						当然方法有很多,不过个人认为通过判断一个元素是否为另一个元素的子元素是最简单的实现方式之一. 废话少说直接上方法: 复制代码 代码如下: function isParent (obj,parentOb ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6G6rop.html" rel="bookmark" class="title">百度称第二季度财报将超预期 达5千万美元左右</a>
					<div>
						      北京时间4月27日消息,据国外媒体报道,中国第一大互联网搜索引擎公司百度26日宣称,百度的第二季度营收将超过分析师预期.      百度预计本公司第二季度营收将在3.78亿元人民币(489 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVxV3z.html" rel="bookmark" class="title">老友与王功权绝交内幕：自曝他所理解的&OpenCurlyDoubleQuote;在商言商&rdquo;</a>
					<div>
						&quot;今天偶见23年前在广州有过一面之交的女企业家王瑛的退岛帖:'我没有什么可犹疑的,几乎立即发出了这个退岛的帖子--我不属于不谈政治的企业家,也不相信中国企业家跪下就可以活下去.我的态度在社会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2YyJ4z.html" rel="bookmark" class="title">从菜鸟成为数据科学家的 9步养成方案</a>
					<div>
						由于数据科学和数据分析是个快速发展的领域,当前的合格申请者严重缺乏.这使得数据科学家对于那些有兴趣,并寻找新的职业生涯的人成为有前途的和有利可图的领域. 漫画内容: 老板:用CRS数据库数据评估一下市 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWOZrM.html" rel="bookmark" class="title">团购新时尚面罩逃生绳</a>
					<div>
						上海大火惨剧,再次烧醒居民的家庭防火意识. 记者调查发现,北京地区家用灭火器.逃生绳.灭火毯等家用消防.逃生设备开始热销.其中逃生绳最受欢迎.不过专家也建议,购买消防器材应到经过注册的正规消防器材商店 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPdX1p.html" rel="bookmark" class="title">在WebIM中获取离线消息怎么写？</a>
					<div>
						问题描述 在demo里面找了好久,都没有找到,求各位指点一下,谢谢了 解决方案 连接 成功的回调里面加上这一句conn.setPresence();//设置用户上线状态,必须调用解决方案二:webim ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
